Draft Draft2Sketch/ru

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Draft2Sketch and the translation is 0% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎hrvatski • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Previous: Draft WireToBSpline.svg WireToBSpline
Next: Slope Draft Slope.svg Arrow-right.svg

Draft Draft2Sketch.svg Draft Draft2Sketch

Системное название
Draft Draft2Sketch
Расположение в меню
Черчение → Преобразовать в эскиз
Верстаки
Draft, Arch
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Sketcher, PartDesign

Description

Описание

Этот инструмент преобразует Draft objects в Sketcher objects и наоборот.

Draft Draft2Sketch example.png

Draft Draft2Sketch example.jpg

Usage

Использование

  1. Выберите черновик или эскиз
  2. Нажмите кнопку Draft Draft2Sketch.png Draft Draft2Sketch

Notes

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To convert objects to a sketch use the make_sketch method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeSketch method.

sketch = make_sketch(objects_list, autoconstraints=False, addTo=None, delete=False, name="Sketch", radiusPrecision=-1, tol=1e-3)
  • objects_list contains the objects to be converted. It is either a single object or a list of objects. Draft objects, Part::Feature objects and Part.Shape objects are supported.
  • If autoconstraints is True coincident constraints are added to nodes belonging to the same source object.
  • addTo is the existing sketch object the geometry is added to. If not supplied a new sketch is created.
  • If delete is True the source objects are deleted.
  • name is the name for the new sketch.
  • radiusPrecision indicates how radius constraints should be handled:
    • Use -1 to disable radius constraints.
    • Use 0 to add individual radius constraints.
    • Use a positive number to round radii according to this precision, and to add equal constraints between curves with equal radii.
  • tol is the tolerance used to check if shapes are planar and co-planar. Use -1 for a strict analysis.
  • sketch is returned with the sketch object.

To convert a sketch to Draft objects use the draftify method of the Draft module.

draftify(objectslist, makeblock=False, delete=True)
  • objectslist contains the objects to be converted. It is either a single object or a list of objects.
  • If makeblock is True the converted objects are grouped in a Part::Part2DObject.
  • If delete is True the source objects are deleted.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

rectangle = Draft.make_rectangle(2000, 1000)
circle = Draft.make_circle(500)
doc.recompute()

sketch_from_draft = Draft.make_sketch([rectangle, circle], autoconstraints=True, delete=False, radiusPrecision=0)
doc.recompute()

draft_from_sketch = Draft.draftify(sketch_from_draft, delete=False)
doc.recompute()


Arrow-left.svg Previous: Draft WireToBSpline.svg WireToBSpline
Next: Slope Draft Slope.svg Arrow-right.svg